## javax.faces.el
Class PropertyResolver

    java.lang.Object
      javax.faces.el.PropertyResolver

public abstract class PropertyResolver
extends java.lang.Object

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Thomas Spiegl (latest modification by $Author: mwessendorf $)

Constructor Summary
`PropertyResolver()`

Method Summary
`abstract java.lang.Class` `getType(java.lang.Object base, int index)`
`abstract java.lang.Class` `getType(java.lang.Object base, java.lang.Object property)`
`abstract java.lang.Object` `getValue(java.lang.Object base, int index)`
`abstract java.lang.Object` `getValue(java.lang.Object base, java.lang.Object property)`
`abstract boolean` `isReadOnly(java.lang.Object base, int index)`
`abstract boolean` `isReadOnly(java.lang.Object base, java.lang.Object property)`
`abstract void` `setValue(java.lang.Object base, int index, java.lang.Object value)`
`abstract void` `setValue(java.lang.Object base, java.lang.Object property, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyResolver

    public PropertyResolver()

Method Detail

### getType

    public abstract java.lang.Class getType(java.lang.Object base,
                                            int index)
                                     throws EvaluationException,
                                            PropertyNotFoundException

  Throws:
    `EvaluationException`
    `PropertyNotFoundException`

### getType

    public abstract java.lang.Class getType(java.lang.Object base,
                                            java.lang.Object property)
                                     throws EvaluationException,
                                            PropertyNotFoundException

  Throws:
    `EvaluationException`
    `PropertyNotFoundException`

### getValue

    public abstract java.lang.Object getValue(java.lang.Object base,
                                              int index)
                                       throws EvaluationException,
                                              PropertyNotFoundException

  Throws:
    `EvaluationException`
    `PropertyNotFoundException`

### getValue

    public abstract java.lang.Object getValue(java.lang.Object base,
                                              java.lang.Object property)
                                       throws EvaluationException,
                                              PropertyNotFoundException

  Throws:
    `EvaluationException`
    `PropertyNotFoundException`

### isReadOnly

    public abstract boolean isReadOnly(java.lang.Object base,
                                       int index)
                                throws EvaluationException,
                                       PropertyNotFoundException

  Throws:
    `EvaluationException`
    `PropertyNotFoundException`

### isReadOnly

    public abstract boolean isReadOnly(java.lang.Object base,
                                       java.lang.Object property)
                                throws EvaluationException,
                                       PropertyNotFoundException

  Throws:
    `EvaluationException`
    `PropertyNotFoundException`

### setValue

    public abstract void setValue(java.lang.Object base,
                                  int index,
                                  java.lang.Object value)
                           throws EvaluationException,
                                  PropertyNotFoundException

  Throws:
    `EvaluationException`
    `PropertyNotFoundException`

### setValue

    public abstract void setValue(java.lang.Object base,
                                  java.lang.Object property,
                                  java.lang.Object value)
                           throws EvaluationException,
                                  PropertyNotFoundException

  Throws:
    `EvaluationException`
    `PropertyNotFoundException`